# std::filesystem::swap(std::filesystem::path)

From cppreference.com
< cpp‎ | filesystem‎ | path

void swap( path& lhs, path& rhs ) noexcept; |  | (since C++17)

Exchanges the state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | paths whose states to swap

### Return value

(none)

### See also

swap | swaps two paths (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/path/swap2&oldid=105084"